## org.eclipse.emf.compare.match
Interface MatchOptions

    public interface MatchOptions

Defines constants for the different options available to tweak the matching process.

Available options include :

Option | effect | value
`#OPTION_DISTINCT_METAMODEL` | Specifies whether the models to compare are of the same meta-model. This mainly impact performance by allowing faster checks to match elements (no use trying to match an interface and a class). | Boolean, defaults to `false`
`OPTION_IGNORE_ID` | Specifies whether we should ignore functional IDs when matching. | Boolean, defaults to `False`
`OPTION_IGNORE_XMI_ID` | Specifies whether we should ignore XMI IDs when matching. | Boolean, defaults to `False`
`OPTION_PROGRESS_MONITOR` | Specifies the progress monitor that will be used to monitor the comparison. | Instance of an IProgressMonitor's implementation, defaults to `null`
`OPTION_SEARCH_WINDOW` | Specifies the number of siblings the match procedure will consider to find similar objects. Higher values increase comparison time, lower values decrease comparison accuracy. | Positive integer, defaults to `100`. A negative value will be reset to the default.
`OPTION_MATCH_SCOPE_PROVIDER` | Allows to pass an `IMatchScopeProvider` instance to the `IMatchEngine` to restrict the scope of comparison. | The specified `IMatchScopeProvider` may be evaluated by the `IMatchEngine` to restrict the scope of objects/resources to be compared.

Field Summary
`static boolean` `DEFAULT_DISTINCT_METAMODEL` Default value for the "distinct metamodel" option.
`static boolean` `DEFAULT_IGNORE_ID` Default value for the "ignore functional id" option.
`static boolean` `DEFAULT_IGNORE_XMI_ID` Default value for the "ignore xmi id" option.
`static int` `DEFAULT_SEARCH_WINDOW` Default value for the search window.
`static java.lang.String` `OPTION_DISTINCT_METAMODELS` Key for the option specifying whether the compared models are of distinct meta-models.
`static java.lang.String` `OPTION_IGNORE_ID` Key for the option specifying whether we should ignore functional IDs for comparison.
`static java.lang.String` `OPTION_IGNORE_XMI_ID` Key for the option specifying whether we should ignore XMI ID when comparing.
`static java.lang.String` `OPTION_MATCH_SCOPE_PROVIDER` Key for an `IMatchScopeProvider` to limit the scope processed by the match engine.
`static java.lang.String` `OPTION_PROGRESS_MONITOR` Key for the option to give a progress monitor to the match engine.
`static java.lang.String` `OPTION_SEARCH_WINDOW` Key for the option defining the search window.

Field Detail

### DEFAULT_DISTINCT_METAMODEL

    static final boolean DEFAULT_DISTINCT_METAMODEL

  Default value for the "distinct metamodel" option.

  See Also:
    Constant Field Values

### DEFAULT_IGNORE_ID

    static final boolean DEFAULT_IGNORE_ID

  Default value for the "ignore functional id" option.

  See Also:
    Constant Field Values

### DEFAULT_IGNORE_XMI_ID

    static final boolean DEFAULT_IGNORE_XMI_ID

  Default value for the "ignore xmi id" option.

  See Also:
    Constant Field Values

### DEFAULT_SEARCH_WINDOW

    static final int DEFAULT_SEARCH_WINDOW

  Default value for the search window.

  See Also:
    Constant Field Values

### OPTION_DISTINCT_METAMODELS

    static final java.lang.String OPTION_DISTINCT_METAMODELS

  Key for the option specifying whether the compared models are of distinct meta-models.

  See Also:
    Constant Field Values

### OPTION_IGNORE_ID

    static final java.lang.String OPTION_IGNORE_ID

  Key for the option specifying whether we should ignore functional IDs for comparison.

  See Also:
    Constant Field Values

### OPTION_IGNORE_XMI_ID

    static final java.lang.String OPTION_IGNORE_XMI_ID

  Key for the option specifying whether we should ignore XMI ID when comparing.

  See Also:
    Constant Field Values

### OPTION_PROGRESS_MONITOR

    static final java.lang.String OPTION_PROGRESS_MONITOR

  Key for the option to give a progress monitor to the match engine.

  See Also:
    Constant Field Values

### OPTION_SEARCH_WINDOW

    static final java.lang.String OPTION_SEARCH_WINDOW

  Key for the option defining the search window.

  See Also:
    Constant Field Values

### OPTION_MATCH_SCOPE_PROVIDER

    static final java.lang.String OPTION_MATCH_SCOPE_PROVIDER

  Key for an `IMatchScopeProvider` to limit the scope processed by the match engine.

  Since:
    1.1
  See Also:
    Constant Field Values

Copyright 2006 IBM Corporation and others. All Rights Reserved.